Update assignment status

The update assignment status route updates the status of a specific assignment.

🚧

Attention points:

  • To use the route, it is necessary to use the assignment code obtained through the assignment launch
  • If the current assignment status is not changeable by a partner (2, 3, 6, 7, 8) the API will return:
{
    "request_code": "63d9cd45-c578-49a7-932f-6f7ef436738b",
    "return": false,
    "return_code": "400-30",
    "message": "Status unidentified or without permission to use."
}

Below are the assignment statuses and their respective movement authors, who are responsible for moving certain statuses.

Status Description

ValueTypeDescriptionAuthor
1TypingCreation of the assignment package with the operations.Partner
2AnalysisThe moment when CDC will analyze the assignment data and sales agreement.Partner
3ApprovedWhen the assignment and the agreement are correct to proceed with the sale.CDC
4RefusedWhen the assignment and the agreement are not correct to proceed with the sale.CDC
5SignatureSigning of the sales agreement.Partner
6Sale offCDC is requesting the buyer to make the payment for the assignment agreement.CDC
7FinishedAssignment completed successfully.CDC
8CancelledCancel the generated assignment. In this status, the operations do not return to the assignment pipeline unless it is deleted.Partner / CDC
9Signed contactWhen the contract is signed by all parties, the system will update the assignment status to 9, but only if the assignment is currently in status 5.System

Response

Http CodeReturn CodeMessage
200200-01Success.
400400-01Something unexpected happened.
400400-09There are no results for the query.
400400-30Status unidentified or without permission to use.
401401-06The requested module is not enabled.

Response Parameters

ParameterFormatDescription
request_codeStringUnique identifier for the request
returnBooleanIndicates if the request was successful
return_codeStringCode indicating the result of the request
messageStringDescription of the result of the request

Request Parameters

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!